## hylafaxplus 7.0.12~svn2851

=== debian/changelog ===
hylafaxplus (3:7.0.12~svn2851-0devuan1~excalibur1) excalibur-proposed-updates; urgency=medium

  * New Upstream Version.
  * NOT released yet by upstream.
  * Contains important bugfixes.
  * Include SVN r2839, r2840..r2851.
  * Add build-depends on libcrypt-dev.
  * Remove unused debian/po directory.
  * Silence lintian once more.
  * Mark xferfaxlog as conffile.
  * Adjust for excalibur proposed updates.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 04 Oct 2025 14:30:00 +0200

hylafaxplus (3:7.0.11~svn2838-0devuan2) unstable; urgency=medium

  * xferfaxlog was cleared on upgrade. Fix that.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 01 May 2025 21:02:17 +0200

hylafaxplus (3:7.0.11~svn2838-0devuan1) unstable; urgency=medium

  * NEW Upstream RELEASE.
  * Include SVN r2796 .. r2838.
  * Bug fix: Some notify messages had wrong from address.
  * Bug fix: xferfaxlog was installed into wrong location.
  * Drop obsolete patch.
  * Update watchfile.
  * Improve documentation.
  * Fix permissions on xferfaxlog. 
  * Fix permissions on already existing seqf.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 25 Apr 2025 16:40:00 +0100

hylafaxplus (3:7.0.10~svn2795-0devuan1) unstable; urgency=medium

  * NEW Upstream RELEASE.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 24 Jan 2025 00:59:52 +0100

hylafaxplus (3:7.0.10~svn2792-0devuan1) unstable; urgency=medium

  * NEW Upstream Version.
  * Force update of info file, so "faxstat -i"  reports correct data after
    an update.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 09 Jan 2025 21:06:30 +0100

hylafaxplus (3:7.0.9~svn2788-0devuan1) unstable; urgency=medium

  * NEW Upstream Version.
  * Include changes up to svn r2788.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 28 Dec 2024 12:10:35 +0100

hylafaxplus (3:7.0.9~svn2787-0devuan1) unstable; urgency=medium

  * Fix watch. Use latest svn version.
  * Patch upstream install to not strip binaries.
  * Enable build of dbgsym packages.
  * Prepare Release.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 20 Dec 2024 12:30:00 +0100

hylafaxplus (3:7.0.9-rc3devuan1) unstable; urgency=medium

  * Prepare RC3.

 -- Friedhelm Mehnert <fm@friedhelms.net>  Mon, 16 Dec 2024 02:08:20 +0100

hylafaxplus (3:7.0.9-rc2devuan1) unstable; urgency=medium

  * NEW Upstream Version.
  * Includes changes up to svn e2787.
  * Handle install dir in rules, drop the patch.
  * Spelling corrections done upstream now.
  * NOT FINISHED. Documentation needs updating.
  * Prepare RC2.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 13 Dec 2024 21:29:52 +0100

hylafaxplus (3:7.0.9-rc1devuan1) unstable; urgency=medium

  * NEW Upstream Version.
  * Includes changes up to svn r2786.
  * Add installation of libfaxutil package.
  * Add installation of hylafaxplus-client.
  * Add installation of hylafaxplus-server.
  * New server postinst script.
  * Fixed some bugs.
  * STILL NOT FINISHED. More cleanup and testing required.
  * Prepare RC1.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 9 Dec 2024 13:00:00 +0100

hylafax (3:6.0.7-7devuan1) unstable; urgency=medium

  * NEW Debian version.
  * Import patch to fix Debian bug #688560 from Debian.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Tue, 02 Apr 2024 12:16:28 +0200

hylafax (3:6.0.7-6devuan1) unstable; urgency=medium

  * NEW Debian version.
  * Do not link from /usr/sbin/textfmt to /usr/bin/textfmt when /usr/bin
    and /usr/sbin are the same directory. (Closes: Debian bug #1064792).
  * Change dependency from gsfonts to fonts-base-urw35 (Closes: 
    Debian bug #1020349).
  * Raise debian policy compliance to 4.6.2.1 without any change required.
  * Change CFLAGS to make it build on Ceres.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 28 Mar 2024 11:09:01 +0100

hylafax (3:6.0.7-5devuan1) unstable; urgency=medium

  * NEW Debian version.
  * Added a dependency for default-mta, as suggested by lintian.
  * Include patches for a lot of typos in source code and documentation.
  * Skip the Debian systemd changes.
  * Change to Standards-Version: 4.6.2.
  * Rewrite lintian.overwrites.
  * Add gbp.conf

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 20 Jan 2023 00:30:51 +0100

hylafax (3:6.0.7-4devuan1) unstable; urgency=medium

  * Bug fix: "FTBFS with TIFF 4.5+", thanks to László Böszörményi
    (Closes: #1027681). Patch imported from upstream.
  * Update build deps
  * Improve hardening
  * Change to debhelper-compat 13

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Wed, 11 Jan 2023 20:30:00 +0100

hylafax (3:6.0.7-3.1+devuan1) unstable; urgency=medium

  * Fork for Devuan.
  * Change to debhelper-compat 10.
  * Remove systemd.
  * Added installation of logrotate file /var/spool/hylafax/log/xferfaxlog
  * Fixed server-postinst script to not use systemd and systemctl.
  * Added missing dependency for update-inetd to the control file.
  * Changed rules file to not delete config.guess and config.sub since
    this prevented to build the package more than once.
  * Updated the control file for the devuan fork.
  * Added a few minor changes to silence linthian.
  * Changed handling of config file hylafax.default.
  * Some cleanup. Deleted obsolete files and commented out sections
    from scripts, fixed some typing errors.
  * Modified control and rules file so it conforms to policy 
    version 4.5.0.
  * Updated changelog.
 
 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 03 Dec 2021 08:22:00 +0000

hylafax (3:6.0.7-3.1) unstable; urgency=medium

  * NMU
  * Bug fix: "FTBFS: Incompatible TIFF Library.", thanks to Lucas Nussbaum
    (Closes: #978220).
  * Bug fix: "CVE-2020-15397 CVE-2020-15396", thanks to Moritz Muehlenhoff
    (Closes: #964198):
    - The faxsetup utility 
      calls chown on files in user-owned directories.
      By winning a race, a local attacker could use
      this to escalate his privileges to root.

