=== debian/control ===
Source: hylafaxplus
Section: comm
Priority: optional
Maintainer: Friedhelm Mehnert <friedhelm@friedhelms.net>
Build-Depends: debhelper-compat (=13),
 libcrypt-dev,
 libpodofo-dev,
 libjbig-dev,
 libtiff-dev,
 libtiff-tools (>= 4.4.0-6),
 zlib1g-dev (>= 0.95), ed,
 libpam-dev | libpam0g-dev,
 libldap-dev,
 liblcms2-dev,
 libssl-dev,
 fonts-urw-base35,
 ghostscript,
 dpkg (>= 1.14.6),
 init-system-helpers (>= 1.51) 
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: https://hylafax.sourceforge.io
Vcs-Browser: https://git.devuan.org/devuan/hylafaxplus
Vcs-Git: https://git.devuan.org/devuan/hylafaxplus.git
Origin: Devuan

Package: hylafaxplus-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libfaxutil ( =${binary:Version}), hylafaxplus-client (= ${binary:Version}),
 libtiff-tools (>= 4.4.0-6),
 bsd-mailx | mailx, psmisc,
 sed (>= 4.1.2), ghostscript,
 adduser, sysvinit-utils (>= 3.06-4),
 default-mta | exim4-daemon-light | mail-transport-agent,
 update-inetd
Suggests: mgetty, psrip
Conflicts: hylafax-server, mgetty-fax
Breaks: capi4hylafax (<< 1:01.02.03-4)
Replaces: hylafax-server
Description: Flexible client/server fax software - server daemons
 This package support the sending and receiving of facsimiles, the polled
 retrieval of facsimiles and the send of alphanumeric pages.
 .
 The host running the server must have either a Class 1, Class 2, or a
 Class 2.0 fax modem attached to one of its serial ports. End-user
 applications to manage the transmission of documents via facsimile are
 provided separately by the hylafax-client package.

Package: hylafaxplus-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libfaxutil ( =${binary:Version}), enscript | libgnomeprint-data,
 fonts-urw-base35, ghostscript
Pre-Depends: libpaper-utils
Suggests: mgetty-viewfax
Recommends: netpbm, transfig
Conflicts: hylafax-client, mgetty-fax
Replaces: hylafax-client
Description: Flexible client/server fax software - client utilities
 The HylaFAX client software communicates with a HylaFAX server via TCP/IP.
 .
 HylaFAX support the sending and receiving of facsimiles, the polled
 retrieval of facsimiles and the send of alphanumeric pages.

Package: libfaxutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces: libfaxutil (<< 7.0.9)
Description: HylaFAX-Plus Runtime library
 This runtime lib is needed by both the fax server and the client.
