=== debian/watch ===
# to check for upstream updates and more.
version=4
opts="mode=svn, pgpmode=none, uversionmangle=s/0\.0/7\.0\.11/" \
svn://svn.code.sf.net/p/hylafax/HylaFAX+/trunk/ \
HEAD
